Bug 963245 - Translation of empty messages from 0-10 to 1.0 results in broker crash
Translation of empty messages from 0-10 to 1.0 results in broker crash
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
high Severity high
: 3.0
: ---
Assigned To: Gordon Sim
Petr Matousek
:
Depends On:
Blocks: 1010399
  Show dependency treegraph
 
Reported: 2013-05-15 09:19 EDT by Petr Matousek
Modified: 2015-01-21 07:57 EST (History)
1 user (show)

See Also:
Fixed In Version: qpid-cpp-0.22-4.el6, qpid-cpp-0.22-4.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
core dump (7.04 KB, text/plain)
2013-05-15 09:19 EDT, Petr Matousek
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-4846 None None None Never

  None (edit)
Description Petr Matousek 2013-05-15 09:19:17 EDT
Created attachment 748284 [details]
core dump

Description of problem:

A broker crash occurs while receiving a message which was sent in 0-10 format (without content set) using the amqp1.0 protocol.

Notes:
This only occurs when mixing protocols 0.10 and 1.0. 
This only occurs when the message content is not set.

Broker log:
[Unspecified] notice Buffer overflow for write of size 1 to buffer of
size 90 at position 90
qpidd:
/builddir/build/BUILD/qpid-0.22/cpp/src/qpid/amqp/Encoder.cpp:394: void
qpid::amqp::Encoder::check(size_t): Assertion `false' failed. 

The core dump is attached.

Version-Release number of selected component (if applicable):
qpid-cpp-0.22-2

How reproducible:
100%

Steps to Reproduce:
1. spout "q;{create:always}"
2. drain --connection-options "{protocol:amqp1.0}" q 
3. broker crash
  
Actual results:
broker crash when converting 0-10 message to amqp1.0

Expected results:
Empty message may be successfully received when mixing protocols

Additional info:
Comment 1 Gordon Sim 2013-05-15 09:46:28 EDT
Fixed upstream by http://svn.apache.org/r1482795
Comment 2 Petr Matousek 2013-07-09 12:11:43 EDT
The issue has been fixed

Verified on RHEL5.9 and RHEL6.4, architectures: i386, x86_64

packages installed:
qpid-cpp-*-0.22-6

-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.